using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace VEtterem
{
    public partial class Cart : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            Kosar.Kosar kosar = (Kosar.Kosar)Session["Kosar"];

           (Master.FindControl("LabelContentCim") as Label).Text = "Kosár";
            if (!IsPostBack)
                BindData();
        }
        protected void BindData()
        {
            Kosar.Kosar kosar = (Kosar.Kosar)Session["Kosar"];
            
            KosarGridView.DataSource = kosar.Tetelek;
            KosarGridView.DataBind();
            // A rendelés button engedélyezése vagy sem:
            if (((Kosar.Kosar)Session["Kosar"]).Tetelek.Count == 0)
                RendelesButton.Enabled = false;
            else
                RendelesButton.Enabled = true;

        }

        protected void KosarGridView_RowDataBound(object sender, GridViewRowEventArgs e)
        {
            if (e.Row.RowType == DataControlRowType.Footer)
            {
                 Kosar.Kosar kosar = (Kosar.Kosar)Session["Kosar"];
                 int akcOssz = kosar.OsszesenAkc();
                 int ossz = kosar.Osszesen();
                 if ( akcOssz != ossz)
                 {                     
                     e.Row.Cells[3].Text = "Összesen: " + ossz.ToString() + " Ft helyett akciósan " + akcOssz.ToString() + " Ft";
                 }
                 else
                     e.Row.Cells[3].Text = "Összesen: " + ossz.ToString() + " Ft";
            }
        }

        protected void KosarGridView_RowCommand(object sender, GridViewCommandEventArgs e)
        {
            if (e.CommandName == "Torol")
            {
                int EtlapID = Convert.ToInt32(e.CommandArgument);

                Kosar.Kosar kosar = (Kosar.Kosar)Session["Kosar"];
                kosar.Kiszed(EtlapID);
                
                
                BindData();
            }
        }

        protected void FrissitButton_Click(object sender, EventArgs e)
        {
            foreach(GridViewRow gwr in KosarGridView.Rows)
            {
                try
                {
                    int EtlapID = Convert.ToInt32(KosarGridView.DataKeys[gwr.RowIndex].Value);
                    int Db = int.Parse(((TextBox)gwr.Cells[1].FindControl("DbTextBox")).Text);

                    Kosar.Kosar kosar = (Kosar.Kosar)Session["Kosar"];
                    kosar.MennyisegValtoztat(EtlapID, Db);
                }
                catch (FormatException)
                {                    
                }
            }
            BindData();
        }

        protected void RendelesButton_Click(object sender, EventArgs e)
        {
            if (User.Identity.IsAuthenticated)
                Response.Redirect("~/Order.aspx");
            else
            {
                NemVagyBJLabel.Text = "Hogy rendeleni tudjon be kell jelentkeznie!";
                NemVagyBJLabel.Visible = true;
            }
        }

        
    }
}
